%{!?ruby_sitelib: %global ruby_sitelib %(ruby -rrbconfig -e 'puts Config::CONFIG["sitelibdir"] ')}

%if (0%{?fedora} == 0 && 0%{?rhel} <= 5)
%global building_for_el5 1
%else
%global building_for_el5 0
%endif

Summary: Simple versioned object-graph persistence layer
Name: ruby-rhubarb
Version: 0.4.1
Release: 1%{?dist}
Group: Applications/System
License: ASL 2.0
URL: http://git.fedorahosted.org/git/grid/rhubarb.git
Source0: https://fedorahosted.org/releases/g/r/grid/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: ruby-sqlite3
Requires: ruby
Requires: ruby(abi) = 1.8
Provides: ruby(rhubarb/rhubarb)
BuildRequires: ruby
BuildArch: noarch

%description
Rhubarb is a simple object-graph persistence layer that stores
instances of specially-declared Ruby classes in a SQLite3 database.  
Notably, it supports multiple versions of objects and relationships
and plays nicely with the SPQR object publishing framework.

%prep
%setup -q

%build

%install
%if %{building_for_el5}
rm -rf %{buildroot}
%endif
mkdir -p %{buildroot}/%{ruby_sitelib}/rhubarb
mkdir -p %{buildroot}/%{ruby_sitelib}/rhubarb/mixins
cp -p -f lib/rhubarb/mixins/*.rb %{buildroot}/%{ruby_sitelib}/rhubarb/mixins
cp -p -f lib/rhubarb/*.rb %{buildroot}/%{ruby_sitelib}/rhubarb

%if %{building_for_el5}
%clean
rm -rf %{buildroot}
%endif

%files
%if %{building_for_el5}
%defattr(-, root, root, -)
%endif
%doc LICENSE README.rdoc CHANGES TODO VERSION
%{ruby_sitelib}/rhubarb/

%changelog

* Tue Oct 11 2011 willb <willb@redhat> - 0.4.1-1
- Updated to version 0.4.1, which exclusively includes build workflow improvements

* Wed Sep 21 2011 willb <willb@redhat> - 0.4.0-3
- specfile changes:  conditionalized out all EL5 stuff

* Fri Sep 16 2011 willb <willb@redhat> - 0.4.0-2
- minor specfile changes.

* Wed Jul 6 2011 willb <willb@redhat> - 0.4.0-1
- now works with sqlite3-ruby 1.3.x (BZ 718016)

* Mon Jun 6 2011 willb <willb@redhat> - 0.3.0-3
- installation now preserves file modification times

* Mon Mar 14 2011 willb <willb@redhat> - 0.3.0-2
- fix for object output transformers

* Tue Feb 15 2011 willb <willb@redhat> - 0.3.0-1
- fixed bzs 674432, 674433, 677807

* Wed Sep 15 2010 willb <willb@redhat> - 0.2.7-1
- Updated to version 0.2.7
- fixed problems with hash-valued params in custom queries

* Wed Apr 28 2010 willb <willb@redhat> - 0.2.6-1.0
- Updated to version 0.2.6

* Wed Apr 14 2010 willb <willb@redhat> - 0.2.5-1.0
- Updated to version 0.2.5

* Wed Apr 7 2010 willb <willb@redhat> - 0.2.4-1.0
- Updated to version 0.2.4

* Thu Feb 25 2010 willb <willb@redhat> - 0.2.3-1.0
- updated to version 0.2.3 from source

* Thu Feb 25 2010 willb <willb@redhat> - 0.2.2-2.0
- removed rubygems include 

* Fri Feb  5 2010  <rrat@redhat> - 0.2.0-0.3
- Explicitly list files
- Added ruby(abi) and dependency
- Added ruby build dependency

* Thu Feb  4 2010  <willb@redhat.com> - 0.2.0-0.2
- Post-0.2 cleanups

* Tue Feb  2 2010  <rrati@redhat> - 0.2.0-0.1
- Initial package
